InquiryPricePublicIpv6

1. API Description

This API (InquiryPricePublicIpv6) is used to query the price of data transfer or bandwidth for the public IPv6.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

regionId

Yes

String

Region ID.

packageSize

No

Float

Traffic package size (TB). The unit is TB.

This value takes effect only when internetChargeType is set to ByTrafficPackage .

The default value is 0.

Maximum of one decimal place.

Value range: [0.0, +)

bandwidth

No

Integer

Outbound public network bandwidth cap (Mbps). Unit: Mbps.

The value differs with different instance types.

Value range: [1, +)

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

bandwidthPrice

Price of bandwidth.

4. Code Example

Query the price of bandwidth for the public IPv6.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPricePublicIpv6
<Common Request Params>

Request:
{
  "regionId": "xxx",
  "packageSize": 10
}

Response:
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "excessUnitPrice": 2.0,
      "excessDiscountUnitPrice": 2.0,
      "excessAmountUnit": "GB",
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_ZONE_NOT_FOUND

Region does not exist.

Last updated